import pygame
from pygame.locals import *

pygame.init()

font = pygame.font.Font(None, 18)
color = (255,0,0)
test_text = font.render('Text', True, color)
line_height = test_text.get_rect().height

menu_pos = (10,10)
menu_width = 150
screen_surface = None
menu_surface = None
menus_rects = {}

def do_menu(screen, menu_names):
    global menu_surface, menus_rects
    number_menus = len(menu_names)
    menus = []
    i = 0
    for menu_name in menu_names:
        menu = font.render(menu_name, True, color)
        rect = menu.get_rect()
        menus_rects[menu_name] = rect
        menus.append(menu)
        rect.top = i * line_height
        i += 1

    height = number_menus * line_height
    menu_surface = pygame.Surface((menu_width, height))

    i = 0
    for menu in menus:
        menu_surface.blit(menu, (0,i*line_height))
        i += 1

    screen.blit(menu_surface, menu_pos)

def get_menu(pos):
    menu = None
    x, y = pos
    menu_rect = menu_surface.get_rect()

    if (menu_pos[0] < x < menu_pos[0] + menu_rect.width and
        menu_pos[1] < y < menu_pos[1] + menu_rect.height):

        x = x - menu_pos[0]
        y = y - menu_pos[1]

        for key in menus_rects.keys():
            if menus_rects[key].collidepoint(x,y):
                menu = key
    return menu

